
 

<?

$num = 6;
$page = $_GET['page'];
$result00 = $pdo->Query("SELECT * FROM `php_tovar` WHERE `moder` = '1' $nomsql");
$temp = $result00->RowCount();
$posts = $temp;
$total = (($posts - 1) / $num) + 1;
$total =  intval($total);
$page = intval($page);
if(empty($page) or $page < 0) $page = 1;
if($page > $total) $page = $total;
$start = $page * $num - $num;
if($start<0){ $start=0;}

$sql = $pdo->Query("SELECT * FROM `php_tovar` WHERE `moder` = '1' $nomsql ORDER BY `data_up` DESC LIMIT $start, $num");
if($sql->RowCount()!=0){
while($depos = $sql->Fetch()) {

$config_pr = $pdo->Query("SELECT * from php_user WHERE id = '" . $depos['user'] . "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

$id = intval($depos['id']);
$title = $depos['title'];
$cratkaya = $depos['cratkaya'];
$cena = intval($depos['cena']);
$config_tov = $pdo->Query("SELECT * from php_img WHERE tovar = '" . $id . "'")->fetch(PDO::FETCH_BOTH);
$config_upl = $pdo->Query("SELECT * from php_upload WHERE tovar = '" . $id. "' LIMIT 1")->fetch(PDO::FETCH_BOTH);

?>

<div class="while_topics bor_top round3 FFF hr">
      <div class='descriptionu'>
                    
					<div class="left">
                    <small style="font-weight: bold;color: #3c3c3c; font-size: 11px; font-style: normal; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; display: block;"><a href="<?=ROOT?>/post<?=$id?>"><?=$title?></a></small>
					</div>
					<div class="right" style="margin: -25px 20px 0 0;">

				Просмотров: <b><?=$depos['view']?></b>
					</div>
					
                    
					
					</div>
					
                    <div class='mini_img'><img src="http://akclub.ru/thumb.php?id=<?=$id?>&s=300&f=<?=$config_tov['dir']?>" class='img' width="280"  alt="Купить онлайн <?=$title?>"></div>
                    <ul class="descr reset">
        	<li><b>Продавец:</b> <?=$config_pr['login']?></li>
            <li><b>Категория:</b> <? if($depos[category]==1){ echo"Скрипты";}elseif($depos[category]==2){ echo"Лендинги"; }elseif($depos[category]==3){ echo"CMSдвижки";}elseif($depos[category]==4){ echo"Инфотовары";}elseif($depos[category]==5){ echo"Разное";} ?></li>
            <li><b>Размер:</b> <?=$config_upl['size']?></li>
            <li><b>Цена:</b> <?=$cena?> рублей </li>
        </ul>
					<div class="stext_holder"><?=$cratkaya?></div>
      </div>
<?}
}else{  echo "<br><br><br>Товаров нет!";}
?>
<div class="cl"></div>
<div class="padd10"></div>
<?

// Проверяем нужны ли стрелки назад
//if ($page != 1) $pervpage = '<a href=index.php?a='.$_GET[a].'&page=1> Первая </a> | ';
// Проверяем нужны ли стрелки вперед
//if ($page != $total) $nextpage = ' | <a href=index.php?a='.$_GET[a].'&page=' .$total. '> Последняя </a>';
if(!isset($_GET['n'])){
// Находим две ближайшие станицы с обоих краев, если они есть
if($page - 5 > 0) $page5left = ' <a href=home'. ($page - 5) .'>'. ($page - 5) .'</a>';
if($page - 4 > 0) $page4left = ' <a href=home'. ($page - 4) .'>'. ($page - 4) .'</a>';
if($page - 3 > 0) $page3left = ' <a href=home'. ($page - 3) .'>'. ($page - 3) .'</a>';
if($page - 2 > 0) $page2left = ' <a href=home'. ($page - 2) .'>'. ($page - 2) .'</a>';
if($page - 1 > 0) $page1left = ' <a href=home'. ($page - 1) .'>'. ($page - 1) .'</a>';

if($page + 5 <= $total) $page5right = '<a href=home'. ($page + 5) .'>'. ($page + 5) .'</a>';
if($page + 4 <= $total) $page4right = '<a href=home'. ($page + 4) .'>'. ($page + 4) .'</a>';
if($page + 3 <= $total) $page3right = '<a href=home'. ($page + 3) .'>'. ($page + 3) .'</a>';
if($page + 2 <= $total) $page2right = '<a href=home'. ($page + 2) .'>'. ($page + 2) .'</a>';
if($page + 1 <= $total) $page1right = '<a href=home'. ($page + 1) .'>'. ($page + 1) .'</a>';
}else{
// Находим две ближайшие станицы с обоих краев, если они есть
if($page - 5 > 0) $page5left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 5) .'/'.$nom.'>'. ($page - 5) .'</a>';
if($page - 4 > 0) $page4left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 4) .'/'.$nom.'>'. ($page - 4) .'</a>';
if($page - 3 > 0) $page3left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 3) .'/'.$nom.'>'. ($page - 3) .'</a>';
if($page - 2 > 0) $page2left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 2) .'/'.$nom.'>'. ($page - 2) .'</a>';
if($page - 1 > 0) $page1left = ' <a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page - 1) .'/'.$nom.'>'. ($page - 1) .'</a>';

if($page + 5 <= $total) $page5right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 5) .'/'.$nom.'>'. ($page + 5) .'</a>';
if($page + 4 <= $total) $page4right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 4) .'/'.$nom.'>'. ($page + 4) .'</a>';
if($page + 3 <= $total) $page3right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 3) .'/'.$nom.'>'. ($page + 3) .'</a>';
if($page + 2 <= $total) $page2right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 2) .'/'.$nom.'>'. ($page + 2) .'</a>';
if($page + 1 <= $total) $page1right = '<a href=http://'.$_SERVER[SERVER_NAME].'/page'. ($page + 1) .'/'.$nom.'>'. ($page + 1) .'</a>';



}
// Вывод меню если страниц больше одной

if ($total > 1)
{
Error_Reporting(E_ALL & ~E_NOTICE);
echo "<center><div class=\"navigation\">";
echo $pervpage.$page5left.$page4left.$page3left.$page2left.$page1left.'<span class="navpage"><span class="curent_page"><b>'.$page.'</b></span></span>'.$page1right.$page2right.$page3right.$page4right.$page5right.$nextpage;
echo "</div></center>";
}
?>